org.apache.commons.io.function

## Interface IOConsumer<T>

- Type Parameters:
    `T` - the type of the input to the operations.
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IOConsumer<T>

  Like `Consumer` but throws `IOException`.
  Since:
    2.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOConsumer<?>` | `NOOP_IO_CONSUMER` Package private constant; consider private.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(T t)` Performs this operation on the given argument.
    `default IOConsumer<T>` | `andThen(IOConsumer<? super T> after)` Returns a composed `IoConsumer` that performs, in sequence, this operation followed by the `after` operation.
    `static <T> IOConsumer<T>` | `noop()` Returns a constant NOOP consumer.

- - ### Field Detail

    - #### NOOP_IO_CONSUMER

          static final IOConsumer<?> NOOP_IO_CONSUMER

      Package private constant; consider private.

  - ### Method Detail

    - #### noop

          static <T> IOConsumer<T> noop()

      Returns a constant NOOP consumer.
      Type Parameters:
        `T` - Type consumer type.
      Returns:
        a constant NOOP consumer.
      Since:
        2.9.0

    - #### accept

          void accept(T t)
               throws IOException

      Performs this operation on the given argument.
      Parameters:
        `t` - the input argument
      Throws:
        `IOException` - if an I/O error occurs.

    - #### andThen

          default IOConsumer<T> andThen(IOConsumer<? super T> after)

      Returns a composed `IoConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
      Parameters:
        `after` - the operation to perform after this operation
      Returns:
        a composed `Consumer` that performs in sequence this operation followed by the `after` operation
      Throws:
        `NullPointerException` - if `after` is null

Copyright © 2002–2021 The Apache Software Foundation. All rights reserved.